
PENGADIAN EMAS - Bug #15617

Android [SELL GOLD] SELL ALL Button

20 January 2023 11:19 AM - AMARBEER SINGH SIDHU amar.beer

Status: Closed Start date: 20 January 2023

Priority: Normal Due date:  

Assignee: AMARBEER SINGH SIDHU amar.beer % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

When customer click sell all, you need to calculate the amount and display it based on BE return in ws MinMax parameter name

minimumHoldingGram

Example: minimum holding amount 0.05 gram (THIS VALUE IS FROM BE AS MENTIONED ABOVE), holding 1 gram (THIS IS

CUSTOMER TOTAL GOLD), customer cannot sell 1 gram, they can sell 0.95 gram at maximum

When customer click “Jual Semua” FE will insert 0.95 gram

When customer input 1 gram there should be field error that they need to left 0.05 gram based on Pegadaian rule "TBC"

History

#1 - 31 January 2023 05:46 PM - AMARBEER SINGH SIDHU amar.beer

- File image.png added

updated screen

#2 - 31 January 2023 05:52 PM - AMARBEER SINGH SIDHU amar.beer

- File Capture.PNG added

show this screen when cust click sell all checkbox then click sell button and the amount is below holding

#3 - 02 February 2023 01:46 PM - aiman baharum

- Status changed from New to In Progress

#4 - 08 February 2023 11:16 AM - aiman baharum

- Status changed from In Progress to Feedback

#5 - 08 February 2023 03:56 PM - aiman baharum

- Status changed from Feedback to In Progress

- % Done changed from 0 to 90

testing on local branch: feat/emas-sell-all-limit, commit a962b85039c9a9444e62358bfa0bc6a038ded6c2

simulator apk: https://1drv.ms/u/s!ArUtVw86-MjF5HUP45zGlL_rjv59?e=PUYZQV

#6 - 08 February 2023 03:59 PM - aiman baharum

- Assignee changed from aiman baharum to AMARBEER SINGH SIDHU amar.beer

- % Done changed from 90 to 0

#7 - 08 February 2023 04:24 PM - AMARBEER SINGH SIDHU amar.beer

- Status changed from In Progress to Closed
https://1drv.ms/u/s!ArUtVw86-MjF5HUP45zGlL_rjv59?e=PUYZQV


Tested Good
